<?php
/*
Simple:Press
Admin Bar plugin install/upgrade routine
$LastChangedDate: 2013-03-11 20:54:45 -0700 (Mon, 11 Mar 2013) $
$Rev: 10061 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_admin_bar_do_upgrade_check() {
    $options = sp_get_option('spAdminBar');
    if (empty($options)) return;

    $db = $options['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPABDBVERSION ) return;

    # apply upgrades as needed
    if ($db < 1) {
        # empty since plugin did not used db on initial release
    }

    # db version upgrades

    # save data
    $options['dbversion'] = SPABDBVERSION;
    sp_update_option('spAdminBar', $options);
}

?>